Encountered when installing Jekyll (on a MacOS system in my case).

The solution is to install a new, more up-to-date version of Xcode from the app store.

For more information see: Installing Jekyll on MacOS (OSX) 10.11+